import 'package:flutter/material.dart';

const String APP_NAME = 'AnyWay';

String API_URL_BASE = 'https://anyway.anydev.info';
String PRIVACY_URL = 'https://anydev.info/privacy';

const String MAP_ID = '41c21ac9b81dbfd8';


const Color GRADIENT_START = Color(0xFFF9B208);
const Color GRADIENT_END = Color(0xFFE72E77);

const Color PRIMARY_COLOR = Color(0xFFF38F1A);

ThemeData APP_THEME = ThemeData(
  primaryColor: PRIMARY_COLOR,

  scaffoldBackgroundColor: Colors.white,
  cardColor: Colors.white,
  useMaterial3: true,

  colorScheme: ColorScheme.light(
    primary: PRIMARY_COLOR,
    secondary: GRADIENT_END,
    surface: Colors.white,
    error: Colors.red,
    onPrimary: Colors.white,
    onSecondary: const Color.fromARGB(255, 30, 22, 22),
    onSurface: Colors.black,
    onError: Colors.white,
    brightness: Brightness.light,
  ),


  textButtonTheme: TextButtonThemeData(
    
    style: TextButton.styleFrom(
      backgroundColor: PRIMARY_COLOR,
      textStyle: TextStyle(
        color: Colors.red
      )
    ),
  ),
  buttonTheme: ButtonThemeData(
    buttonColor: PRIMARY_COLOR,
    textTheme: ButtonTextTheme.primary,
  ),

);


const Gradient APP_GRADIENT = LinearGradient(
  begin: Alignment.topLeft,
  end: Alignment.bottomRight,
  colors: [GRADIENT_START, GRADIENT_END],
);